> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/tc/transaction-submission/block-builder/trace-bundle.md).

# BSC Block Builder Trace Bundle API

瞭解 BlockRazor BSC Block Builder的Trace Bundle的接口說明、價格、請求參數、請求示例和返回示例

### 接口說明

本方法支持通過bundle hash查詢該 bundle 的當前狀態，請在向builder發送 bundle 後 5 分鐘進行查詢。端點：<https://bsc-bundle-stats.blockrazor.io/>

### 價格

{% hint style="info" %}
採購Trace Bundle服務的用戶可同時訪問控制台中的Bundle Explorer
{% endhint %}

<table><thead><tr><th width="135.4921875">用戶類型</th><th width="155.27734375">限流</th><th width="221.04296875">價格</th><th width="207.00390625">操作</th></tr></thead><tbody><tr><td>付費用戶</td><td>1000筆 / 天</td><td>$150 / 日<br>$1500 / 月</td><td><a href="https://blockrazor.io/#/login?redirect=pricing&#x26;purchaseMode=personalized&#x26;chain=bsc&#x26;serviceId=bsc_tx_trace&#x26;billing=day" class="button primary small">訂閱</a></td></tr></tbody></table>

### 請求參數

<table><thead><tr><th width="84.25390625">參數</th><th width="76.70703125">必選</th><th width="74.328125">格式</th><th>示例</th><th>描述</th></tr></thead><tbody><tr><td>hash</td><td>是</td><td>hash</td><td>0x25f9……317097</td><td>bundle hash</td></tr></tbody></table>

### 請求示例

{% tabs %}
{% tab title="HTTPS" %}

```bash
curl -X GET "https://bsc-bundle-stats.blockrazor.io/bundlestate?hash=0x25f9fc35e978709195c00e864b9a19fb41ad5c5c5b8a3e003813ae9727317097" \
     -H "Content-Type: application/json" \
     -H "Authorization: M2ZiZj……JhODA1"
```

{% endtab %}
{% endtabs %}

### 返回示例

**正常**

```json
{
  "bundle": {
    "timestamp": "2025-04-07T09:04:40Z", // builder接收bundle的時間（UTC）
    "bundleHash": "0x25f9fc35e978709195c00e864b9a19fb41ad5c5c5b8a3e003813ae9727317097", // bundle哈希
    "state": "onchain", // bundle已上鏈
    "blockNumber": 48144954, // bundle所在的區塊號
    "priority": "358911000000000" // bundle價值，單位為wei
  }
}
```

**异常- failed**

```json
{
  "bundle": {
    "timestamp": "2025-04-08T05:21:10Z", // builder接收bundle的時間（UTC）
    "bundleHash": "0xe06a923bce1f46b2a0602b8fb2263dffde22f21277b0b71d84b79aff6a58772b", // bundle哈希
    "state": "failed", // builder已收到bundle，但bundle未上鏈
    "err": "non-reverting tx in bundle failed" // 具體未上鏈的原因
  }
}
```

**异常- not found**

```json
{
  "bundle": {
    "bundleHash": "0xabc", // 請求時的bundle hash
    "state": "not found" // 未查詢到bundle
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.blockrazor.io/tc/transaction-submission/block-builder/trace-bundle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
